Subject: Re: LispScript

From: Bruce Becker <BECKER@humber>
Date: Thu, 3 Dec 87 13:12:16 EST

Xlib and GKS aren't languages! Postscript is one, of a sort - the complaint
is to its abominable syntax - it's somewhat like programming in Forth, or
even a little like programming those old "smart" HP RPN calculators - it makes
you think backwards to other syntaxes. Some actually like doing this, but
it is easy to see that a simpler (NOT necessarily better/faster) interpreter
was the priority item over programmer-friendliness.  Or so it looks from here..
SO, putting a "nice" front-end like LispScript (or even, in some contexts, the
SUN "compiler", is useful - sortof tames it a bit, like RatFor did for hoary
old Fortran...

Cheers, Bruce Becker        Humber College       Etobicoke, Ont.